/***********************************************************************
**                                                                    **
**  listing_14_7.c                                                    **
**                                                                    **
**  Selection Box Example. E-mail address selection.                  **
**                                                                    **
***********************************************************************/


#include <Xm/SelectioB.h>


void	LoadAddressList();		/* FORWARD Definitions	      */


Widget	appshell,			/* Application Shell	      */
	the_sb;				/* The selection box          */
Arg	arglist[16];			/* Used to set resources      */


#define	    XMS( s )	XmStringCreate( s, XmSTRING_DEFAULT_CHARSET )


void main( argc, argv )
    int     argc;
    char    *argv[];
{
    appshell = XtInitialize( argv[0], "Listing_14_07", NULL, 0, &argc, argv );

    the_sb = XmCreateSelectionBox( appshell, "TheSB", NULL, 0 );
    XtManageChild( the_sb );

    LoadAddressList();

    XtRealizeWidget( appshell );
    XtMainLoop();
}


/**
*** LoadAddressList()
***
*** Fills the selection box's list of addresses.
**/

void LoadAddressList()
{
    XmString	addresses[9];

    addresses[0] = XMS( "kdg@world.std.com" );
    addresses[1] = XMS( "postmaster@moscvax.arpa" );
    addresses[2] = XMS( "xug@expo.lcs.mit.edu" );
    addresses[3] = XMS( "xannounce@expo.lcs.mit.edu" );
    addresses[4] = XMS( "xpert@expo.lcs.mit.edu" );
    addresses[5] = XMS( "motif@alfalfa.com" );
    addresses[6] = XMS( "info-c@research.att.com" );
    addresses[7] = XMS( "std-unix@uunet.uu.net" );
    addresses[8] = XMS( "unix-wizards@brl.arpa" );

    XtSetArg( arglist[0], XmNlistItems, addresses );
    XtSetArg( arglist[1], XmNlistItemCount, XtNumber(addresses) );
    XtSetValues( the_sb, arglist, 2 );
}
